CREATE TABLE atk_tech_asset_relationships (
    TECH_ASSET_RELATIONSHIP_ID    NUMBER(18, 0),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    SOURCE_TECH_ASSET_ID          NUMBER(18, 0)    NOT NULL,
    TARGET_TECH_ASSET_ID          NUMBER(18, 0)    NOT NULL,
    RELATIONSHIP_TYPE_CODE        VARCHAR2(120)    NOT NULL,
    ROOT_TECH_ASSET_ID            NUMBER(18, 0)    NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    TECH_ASSET_RELATIONSHIP_ID    NUMBER(18, 0),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    SOURCE_TECH_ASSET_ID          NUMBER(18, 0)    NOT NULL,
    TARGET_TECH_ASSET_ID          NUMBER(18, 0)    NOT NULL,
    RELATIONSHIP_TYPE_CODE        VARCHAR2(120)    NOT NULL,
    ROOT_TECH_ASSET_ID            NUMBER(18, 0)    NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    CONSTRAINT pk_atk_tech_asset_relationships PRIMARY KEY (TECH_ASSET_RELATIONSHIP_ID, TECH_ASSET_RELATIONSHIP_ID)
);
